> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.propertypal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.propertypal.com/_mcp/server.

# Get listing

GET https://rightmove-feed.propertypal.com/v2/property/commercial/{reference}

**Retrieve the current state of a property held by PropertyPal.**

Pass your `reference` in the URL and your branch identifier in the `Rightmove-Agent-ID` header. Useful for reconciliation against your own CRM.

### Response

- **`200 OK`** — body is `PropertyAction` with the property record under `data`.
- **`404 Not Found`** — no live property exists for the supplied (`reference`, branch) pair.


Reference: https://apidocs.propertypal.com/api-reference/commercial-listings-api/property/get-listing

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Rightmove 2.0
  version: 1.0.0
paths:
  /v2/property/commercial/{reference}:
    get:
      operationId: getListing
      summary: Get listing
      description: >
        **Retrieve the current state of a property held by PropertyPal.**


        Pass your `reference` in the URL and your branch identifier in the
        `Rightmove-Agent-ID` header. Useful for reconciliation against your own
        CRM.


        ### Response


        - **`200 OK`** — body is `PropertyAction` with the property record under
        `data`.

        - **`404 Not Found`** — no live property exists for the supplied
        (`reference`, branch) pair.
      tags:
        - property
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
        - name: Rightmove-Agent-ID
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 200 — Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Property_getListing_Response_200'
        '401':
          description: 401 — Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestUnauthorizedError'
        '403':
          description: 403 — Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestForbiddenError'
        '404':
          description: 404 — Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestNotFoundError'
        '429':
          description: 429 — Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestTooManyRequestsError'
        '502':
          description: 502 — Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestBadGatewayError'
        '503':
          description: 503 — Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingRequestServiceUnavailableError'
servers:
  - url: https://rightmove-feed.propertypal.com
    description: https://rightmove-feed.propertypal.com
components:
  schemas:
    V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaMeta:
      type: object
      properties:
        requestTimestamp:
          type: string
          format: date-time
        responseTimestamp:
          type: string
          format: date-time
        traceId:
          type: string
      title: >-
        V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaMeta
    V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataCoordinate:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      title: >-
        V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataCoordinate
    V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataResourcesItems:
      type: object
      properties:
        id:
          type: integer
        uri:
          type: string
          format: uri
        displayOrder:
          type: integer
        title:
          type: string
        fileType:
          type: string
        processed:
          type: boolean
        deleted:
          type: boolean
      title: >-
        V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataResourcesItems
    V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: integer
        remoteId:
          type: string
        branchId:
          type: string
          format: utc-millisec
        buildingName:
          type: string
        street:
          type: string
        town:
          type: string
        region:
          type: string
        postcode:
          type: string
        countryCode:
          type: string
        coordinate:
          $ref: >-
            #/components/schemas/V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataCoordinate
        priceCurrency:
          type: string
        price:
          type: integer
        status:
          type: string
        saleType:
          type: string
        propertyType:
          type: string
        size:
          type: integer
        sizeUnits:
          type: string
        description:
          type: string
        shortDescription:
          type: string
        tenureType:
          type: string
        showOnWebsite:
          type: boolean
        deleted:
          type: boolean
        timeFirstReceived:
          type: string
          format: date-time
        timeLastReceived:
          type: string
          format: date-time
        resources:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaDataResourcesItems
      title: >-
        V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaData
    Property_getListing_Response_200:
      type: object
      properties:
        meta:
          $ref: >-
            #/components/schemas/V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaMeta
        data:
          $ref: >-
            #/components/schemas/V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchemaData
      title: Property_getListing_Response_200
    GetListingRequestUnauthorizedError:
      type: object
      properties: {}
      title: GetListingRequestUnauthorizedError
    GetListingRequestForbiddenError:
      type: object
      properties: {}
      title: GetListingRequestForbiddenError
    V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchema:
      type: object
      properties:
        traceId:
          type: string
        timestamp:
          type: string
          format: date-time
      title: V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchema
    GetListingRequestNotFoundError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
        properties:
          $ref: >-
            #/components/schemas/V2PropertyCommercialReferenceGetResponsesContentApplicationJsonSchema
      title: GetListingRequestNotFoundError
    GetListingRequestTooManyRequestsError:
      type: object
      properties: {}
      title: GetListingRequestTooManyRequestsError
    GetListingRequestBadGatewayError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: GetListingRequestBadGatewayError
    GetListingRequestServiceUnavailableError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: GetListingRequestServiceUnavailableError
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "meta": {
    "requestTimestamp": "2026-06-19T09:00:00Z",
    "responseTimestamp": "2026-06-19T09:00:00.142Z",
    "traceId": "1d3b0a4e-9c9e-4d6a-9a45-c7c0a8f7c2a1"
  },
  "data": {
    "id": 84221,
    "remoteId": "DEMO-001",
    "branchId": "12345",
    "buildingName": "Unit 1, 12 Donegall Square West",
    "street": "Donegall Square West",
    "town": "Belfast",
    "region": "County Antrim",
    "postcode": "BT1 6JA",
    "countryCode": "NIR",
    "coordinate": {
      "latitude": 54.5973,
      "longitude": -5.9301
    },
    "priceCurrency": "GBP",
    "price": 18000,
    "status": "TO_LET",
    "saleType": "RENT",
    "propertyType": "COMMERCIAL",
    "size": 1250,
    "sizeUnits": "sqFeet",
    "description": "<p>An exceptional 1,250 sq ft refurbished ground-floor office...</p>",
    "shortDescription": "Refurbished city-centre office, 1,250 sq ft",
    "tenureType": "LEASEHOLD",
    "showOnWebsite": true,
    "deleted": false,
    "timeFirstReceived": "2026-06-19T08:55:12Z",
    "timeLastReceived": "2026-06-19T09:00:00Z",
    "resources": [
      {
        "id": 9001,
        "uri": "https://example.com/photos/exterior.jpg",
        "displayOrder": 1,
        "title": "Front exterior",
        "fileType": "Photograph",
        "processed": true,
        "deleted": false
      }
    ]
  }
}
```

**SDK Code**

```python Property_getListing_example
import requests

url = "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001"

headers = {
    "Rightmove-Agent-ID": "12345",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Property_getListing_example
const url = 'https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001';
const options = {
  method: 'GET',
  headers: {'Rightmove-Agent-ID': '12345', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Property_getListing_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Rightmove-Agent-ID", "12345")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Property_getListing_example
require 'uri'
require 'net/http'

url = URI("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Rightmove-Agent-ID"] = '12345'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Property_getListing_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")
  .header("Rightmove-Agent-ID", "12345")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Property_getListing_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Rightmove-Agent-ID' => '12345',
  ],
]);

echo $response->getBody();
```

```csharp Property_getListing_example
using RestSharp;

var client = new RestClient("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001");
var request = new RestRequest(Method.GET);
request.AddHeader("Rightmove-Agent-ID", "12345");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Property_getListing_example
import Foundation

let headers = [
  "Rightmove-Agent-ID": "12345",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```